Package org.apache.tools.ant.taskdefs.optional.jsp

## Class JspC.WebAppParameter

- java.lang.Object
- - org.apache.tools.ant.taskdefs.optional.jsp.JspC.WebAppParameter

- Enclosing class:
    JspC

      public static class JspC.WebAppParameter
      extends java.lang.Object

  static inner class used as a parameter element

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WebAppParameter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.io.File` | `getDirectory()` | query current directory
    `void` | `setBaseDir​(java.io.File directory)` | set directory; alternate syntax

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WebAppParameter

          public WebAppParameter()

  - ### Method Detail

    - #### getDirectory

          public java.io.File getDirectory()

      query current directory
      Returns:
        the directory.

    - #### setBaseDir

          public void setBaseDir​(java.io.File directory)

      set directory; alternate syntax
      Parameters:
        `directory` - the base dir.